Documents

Document Request List

GET
/documents/request/list

Returns a paginated, optionally filtered and sorted list of document requests.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Query Parameters

top?integer

Maximum number of records to return (page size).

skip?integer

Number of records to skip (page offset).

orderby?string

Sort clause in the form Column|DIRECTION, e.g. Name|DESC. The column and direction are separated by a pipe (|).

filter?string

URL-encoded JSON array of filter clauses (see FilterDTO). Example (decoded): [{"key":"Filter1","column":"Name","type":"string","condition":"CONTAINS","value":"Invoice"}].

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/documents/request/list"
{  "result": {    "data": {      "documentRequests": [        {          "documentRequestGuid": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",          "subscriptionGuid": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",          "documentTemplateGuid": "7c9e6679-7425-40de-944b-e07fc1f90ae7",          "dataGuid": "3f2504e0-4f89-41d3-9a0c-0305e82c3301",          "documentGuid": "",          "documentSolutionConfigurationGuid": "a3bb189e-8bf9-3888-9912-ace4e6543002",          "ownerGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d",          "lastModifiedUserGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d",          "recordId": "INV-2026-000123",          "name": "Invoice run - Contoso July",          "status": "Pending",          "embeddedData": "{\"invoiceNumber\":\"INV-2026-000123\"}",          "title": "Invoice INV-2026-000123",          "fileFormat": "pdf",          "processingType": "STANDARD",          "deliveryMethod": "Email",          "path": "output/invoices/",          "pdfConformanceLevel": "PdfA2B",          "pdfVersion": "2026-01-07",          "language": "en",          "locale": "en-US",          "timeZone": "America/New_York",          "viewAnonymous": false,          "editAnonymous": false,          "viewOrganization": true,          "editOrganization": false,          "viewUser": true,          "editUser": false,          "viewUserEmailList": "alice@example.com,bob@example.com",          "editUserEmailList": "carol@example.com",          "createdDate": "2026-07-14T09:30:00.000Z",          "completedDate": "",          "lastModifiedDate": "2026-07-14T09:30:00.000Z",          "isDeleted": false        }      ],      "rowCount": 1    },    "statusCode": 200,    "message": "OK"  },  "origin": "GET https://api.doctavian.com/v1/documents/request/list",  "dateTime": "2026-07-14T09:30:00.000Z",  "operationId": "3d5f1086036731282da5fb5fd95aa67f",  "userId": "823a0513-a19c-4094-9141-a5089c4a6063"}
{  "userId": "26c9f454-fe54-4237-b2a5-41a00875a943",  "error": {    "statusCode": 400,    "message": "Name is required.",    "innerErrors": [      {        "code": "DATA_NAME_REQUIRED",        "message": "Name is required.",        "userMessage": "Name is required."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/documents/request/list",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "60ef5b32d94cb10f46f6c49de44c6fef"}
{  "error": {    "statusCode": 401,    "message": "The request could not be authenticated.",    "innerErrors": [      {        "code": "UNAUTHORIZED",        "message": "The request could not be authenticated.",        "userMessage": "Your session has expired or is invalid. Please sign in again."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/documents/request/list",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "9e2abc4415f2d02c7f21460661911724",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "error": {    "statusCode": 404,    "message": "The requested resource was not found.",    "innerErrors": [      {        "code": "NOT_FOUND_BY_ID",        "message": "The requested resource was not found.",        "userMessage": "We couldn't find that resource. Check the id and try again."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/documents/request/list",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "967f30db9f8e6667fff37606a5c13957",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "userId": "fb4c13c4-768a-4617-9e80-3fec4fdb0e38",  "error": {    "statusCode": 500,    "message": "An unexpected error occurred.",    "innerErrors": [      {        "code": "GET_DATA_SOURCE_ERROR",        "message": "An unexpected error occurred.",        "userMessage": "An unexpected error occurred."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/documents/request/list",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "1c0d24b453d4cd30bc0fedaa42b3b3f0"}